[问题]无法用dpkg安装软件(写入通向拷贝的管道时出错)

Ubuntu中文汉化版
回复
atdo
帖子: 40
注册时间: 2006-11-30 22:38
送出感谢: 0
接收感谢: 0

[问题]无法用dpkg安装软件(写入通向拷贝的管道时出错)

#1

帖子 atdo » 2006-12-01 8:10

用dpkg安装软件时出错,无法进行安装。错误信息如下:
atdo@show:~$ sudo dpkg -i /media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb
(正在读取数据库 ... 系统当前总共安装有 69674 个文件和目录。)
正在解压缩 ubuntu-docs (从 .../ubuntu-docs_6.06.2_all.deb) ...
dpkg-deb (子进程):buffer_copy (写入通向拷贝的管道时出错) 未读完所有数据
dpkg-deb: 子进程·paste·返回了错误号·2
dpkg:处理 /media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb (--install)时出错:
buffer_copy (“./usr/share/ubuntu-docs/ubuntu/desktopguide/sk/config-system.xml” 时,dpkg-deb 被作为后端) 未读完所有数据
在处理时有错误发生:
/media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb


atdo@show:~$ sudo dpkg -i qcad_2.0.4.0-1-2_i386.deb
(正在读取数据库 ... 系统当前总共安装有 69674 个文件和目录。)
正在解压缩 qcad (从 qcad_2.0.4.0-1-2_i386.deb) ...
dpkg-deb (子进程):buffer_copy (写入通向拷贝的管道时出错) 未读完所有数据
dpkg-deb: 子进程·paste·返回了错误号·2
dpkg:处理 qcad_2.0.4.0-1-2_i386.deb (--install)时出错:
buffer_copy (“./usr/share/qcad/qm/qcadguiqt_sk.qm” 时,dpkg-deb 被作为后端) 未 读完所有数据
在处理时有错误发生:
qcad_2.0.4.0-1-2_i386.deb

在之前,我用tar.gz包编译安装qcad没有成功(找不到qmake)。现在无法安装deb包,请高手指点一下。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-12-01 8:46

当前目录是网络地址上面的?有可能使用smb?如果是mount的,应该没事
● 鸣学
头像
noahsark
帖子: 101
注册时间: 2005-12-29 9:19
送出感谢: 0
接收感谢: 0

Re: [问题]无法用dpkg安装软件(写入通向拷贝的管道时出错)

#3

帖子 noahsark » 2006-12-01 9:16

atdo 写了:用dpkg安装软件时出错,无法进行安装。错误信息如下:
atdo@show:~$ sudo dpkg -i /media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb
(正在读取数据库 ... 系统当前总共安装有 69674 个文件和目录。)
正在解压缩 ubuntu-docs (从 .../ubuntu-docs_6.06.2_all.deb) ...
dpkg-deb (子进程):buffer_copy (写入通向拷贝的管道时出错) 未读完所有数据
dpkg-deb: 子进程·paste·返回了错误号·2
dpkg:处理 /media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb (--install)时出错:
buffer_copy (“./usr/share/ubuntu-docs/ubuntu/desktopguide/sk/config-system.xml” 时,dpkg-deb 被作为后端) 未读完所有数据
在处理时有错误发生:
/media/SHOW/apt/archives/partial/ubuntu-docs_6.06.2_all.deb


atdo@show:~$ sudo dpkg -i qcad_2.0.4.0-1-2_i386.deb
(正在读取数据库 ... 系统当前总共安装有 69674 个文件和目录。)
正在解压缩 qcad (从 qcad_2.0.4.0-1-2_i386.deb) ...
dpkg-deb (子进程):buffer_copy (写入通向拷贝的管道时出错) 未读完所有数据
dpkg-deb: 子进程·paste·返回了错误号·2
dpkg:处理 qcad_2.0.4.0-1-2_i386.deb (--install)时出错:
buffer_copy (“./usr/share/qcad/qm/qcadguiqt_sk.qm” 时,dpkg-deb 被作为后端) 未 读完所有数据
在处理时有错误发生:
qcad_2.0.4.0-1-2_i386.deb

在之前,我用tar.gz包编译安装qcad没有成功(找不到qmake)。现在无法安装deb包,请高手指点一下。
有可能是deb包损坏了也说不定,我有次就出现过这种情况,重新下个包安装试试~
就是喜欢ubuntu^_^
图片
头像
huangjiahua
帖子: 3294
注册时间: 2005-03-30 0:27
送出感谢: 0
接收感谢: 1 次
联系:

#4

帖子 huangjiahua » 2006-12-01 13:40

deb 包不完整, 损坏了
跃过无数的时间断层,只为了在
回复

回到 “Ubuntu中文衍生版”